package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComEvaluationContent;
import com.yiboshi.science.param.dto.ComEvaluationContentDTO;
import com.yiboshi.science.param.query.ComEvaluationContentQueryVO;

import java.util.List;

/**
 * 评审内容表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComEvaluationContentService extends BaseService<ComEvaluationContentQueryVO, ComEvaluationContentDTO, ComEvaluationContent> {
    List<ComEvaluationContentDTO> getEvaluationContentByEvalId(String EvaluationId);

    ComEvaluationContentDTO getEvaluationContentById(String id);

    String CheckContentHasItemsOrValues(ComEvaluationContentDTO dto);

    String CheckContentHasValues(ComEvaluationContentDTO dto);

    String insertEvaluationContent(ComEvaluationContentDTO dto);

    String updateEvaluationContent(ComEvaluationContentDTO dto);

    String deleteEvaluationContent(String id);
}